local LevelsTweakDataoiinit = LevelsTweakData.init

function LevelsTweakData:init(...)

                LevelsTweakDataoiinit(self, ...)


        -- ELECTION DAY


    self.armouredtransport1 = {}
    self.armouredtransport1.name_id = "heist_armouredtransport1"
    self.armouredtransport1.briefing_id = "heist_arm_cro_briefing"
    self.armouredtransport1.briefing_dialog = "Play_pln_at1_brf_01"
    self.armouredtransport1.world_name = "narratives/armadillo/arm_cro"
    self.armouredtransport1.intro_event = "Play_pln_at1_intro_02"
    self.armouredtransport1.outro_event = {
        "Play_pln_at1_end_01",
        "Play_pln_at1_end_02",
        "Play_pln_at1_end_03",
        "Play_pln_at1_end_01b",
        "Play_pln_at1_end_02b",
        "Play_pln_at1_end_03b"
    }
    self.armouredtransport1.music = "heist"
    self.armouredtransport1.package = "packages/narr_arm_cro"
    self.armouredtransport1.cube = "cube_apply_heist_bank"
    self.armouredtransport1.max_bags = 22

    self.armouredtransport2 = {}
    self.armouredtransport2.name_id = "heist_armouredtransport2"
    self.armouredtransport2.briefing_id = "heist_arm_fac_briefing"
    self.armouredtransport2.briefing_dialog = "Play_pln_at1_brf_03"
    self.armouredtransport2.world_name = "narratives/armadillo/arm_fac"
    self.armouredtransport2.intro_event = "Play_pln_at1_intro_04"
    self.armouredtransport2.outro_event = {
        "Play_pln_at1_end_01",
        "Play_pln_at1_end_02",
        "Play_pln_at1_end_03",
        "Play_pln_at1_end_01b",
        "Play_pln_at1_end_02b",
        "Play_pln_at1_end_03b"
    }
    self.armouredtransport2.music = "heist"
    self.armouredtransport2.package = "packages/narr_arm_fac"
    self.armouredtransport2.cube = "cube_apply_heist_bank"
    self.armouredtransport2.max_bags = 44

    self.armouredtransport3 = {}
    self.armouredtransport3.name_id = "heist_armouredtransport3"
    self.armouredtransport3.briefing_id = "heist_arm_und_briefing"
    self.armouredtransport3.briefing_dialog = "Play_pln_at1_brf_05"
    self.armouredtransport3.world_name = "narratives/armadillo/arm_und"
    self.armouredtransport3.intro_event = "Play_pln_at1_intro_06"
    self.armouredtransport3.outro_event = {
        "Play_pln_at1_end_01",
        "Play_pln_at1_end_02",
        "Play_pln_at1_end_03",
        "Play_pln_at1_end_01b",
        "Play_pln_at1_end_02b",
        "Play_pln_at1_end_03b"
    }
    self.armouredtransport3.music = "heist"
    self.armouredtransport3.package = "packages/narr_arm_und"
    self.armouredtransport3.cube = "cube_apply_heist_bank"
    self.armouredtransport3.max_bags = 66

    self.armouredtransport4 = {}
    self.armouredtransport4.name_id = "heist_armouredtransport4"
    self.armouredtransport4.briefing_id = "heist_arm_par_briefing"
    self.armouredtransport4.briefing_dialog = "Play_pln_at1_brf_04"
    self.armouredtransport4.world_name = "narratives/armadillo/arm_par"
    self.armouredtransport4.intro_event = "Play_pln_at1_intro_05"
    self.armouredtransport4.outro_event = {
        "Play_pln_at1_end_01",
        "Play_pln_at1_end_02",
        "Play_pln_at1_end_03",
        "Play_pln_at1_end_01b",
        "Play_pln_at1_end_02b",
        "Play_pln_at1_end_03b"
    }
    self.armouredtransport4.music = "heist"
    self.armouredtransport4.package = "packages/narr_arm_par"
    self.armouredtransport4.cube = "cube_apply_heist_bank"
    self.armouredtransport4.max_bags = 88

    self.armouredtransport5 = {}
    self.armouredtransport5.name_id = "heist_armouredtransport5"
    self.armouredtransport5.briefing_id = "heist_arm_hcm_briefing"
    self.armouredtransport5.briefing_dialog = "Play_pln_at1_brf_02"
    self.armouredtransport5.world_name = "narratives/armadillo/arm_hcm"
    self.armouredtransport5.intro_event = "Play_pln_at1_intro_03"
    self.armouredtransport5.outro_event = {
        "Play_pln_at1_end_01",
        "Play_pln_at1_end_02",
        "Play_pln_at1_end_03",
        "Play_pln_at1_end_01b",
        "Play_pln_at1_end_02b",
        "Play_pln_at1_end_03b"
    }
    self.armouredtransport5.music = "heist"
    self.armouredtransport5.package = "packages/narr_arm_hcm"
    self.armouredtransport5.cube = "cube_apply_heist_bank"
    self.armouredtransport5.max_bags = 110

    self.armouredtransport6 = {}
    self.armouredtransport6.name_id = "heist_armouredtransport6"
    self.armouredtransport6.briefing_id = "heist_arm_for_briefing"
    self.armouredtransport6.briefing_dialog = "Play_pln_tr1_brf_01"
    self.armouredtransport6.world_name = "narratives/armadillo/arm_for"
    self.armouredtransport6.intro_event = "Play_pln_tr1_intro_01"
    self.armouredtransport6.outro_event = {
        "Play_pln_tr1_end_01",
        "Play_pln_tr1_end_02"
    }
    self.armouredtransport6.music = "heist"
    self.armouredtransport6.package = "packages/narr_arm_for"
    self.armouredtransport6.cube = "cube_apply_heist_bank"
    self.armouredtransport6.bonus_escape = true
    self.armouredtransport6.max_bags = 140
    self.armouredtransport6.ghost_bonus = 0.1
end