Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_Banking", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_banking1"] = "AN EASY GOLD JOB",
		["heist_banking2"] = "LOW RISK, HIGH REWARD",		
		["heist_banking3"] = "VOTING FOR CASH", 
		["heist_banking4"] = "DEJA VU",
		["heist_banking5"] = "DOING THE IMPOSSIBLE",
		["heist_banking"] = "BAIN: FDIC CRASH",
		["heist_banking_crimenet"] = "We've hit a lot of banks in our time, but not in a timespan that we'll be doing it today. So get comfy, strap those masks on tight and get ready for all the fun, cause we're going after our payday."
		})
end)



if not tweak_data then return end

tweak_data.narrative.jobs.banking = {}
tweak_data.narrative.jobs.banking.name_id = "heist_banking"
tweak_data.narrative.jobs.banking.briefing_id = "heist_banking_crimenet"
--tweak_data.narrative.jobs.onarise.region = "street"
tweak_data.narrative.jobs.banking.contact = "hoxton_returns"
--tweak_data.narrative.jobs.onarise.contact = "bain"
tweak_data.narrative.jobs.banking.jc = 40
tweak_data.narrative.jobs.banking.campaign = true
tweak_data.narrative.jobs.banking.professional = true
tweak_data.narrative.jobs.banking.region = "professional"
tweak_data.narrative.jobs.banking.chain = {
		{
			level_id = "banking1",
			type_id = "heist_type_assault",
			type = "d",
			mission_filter = {3},
			briefing_dialog = "Play_pln_branchbank_gold_stage1_brief",
			briefing_id = "heist_branchbank_gold_briefing"
		},
		{
			level_id = "banking2",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "banking3",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "banking4",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "banking5",
			type_id = "heist_type_assault",
			type = "d",
			mission_filter = {1},
			world_setting = "day"
		}
}
tweak_data.narrative.jobs.banking.briefing_event = "pln_branchbank_random_brf_speak"
tweak_data.narrative.jobs.banking.crimenet_callouts = {
		"pln_branchbank_random_cnc_01"
	}
tweak_data.narrative.jobs.banking.crimenet_videos = {
		"cn_branchbank1",
		"cn_branchbank2",
		"cn_branchbank3"
}

tweak_data.narrative.jobs.banking.payout = {
	530000,
	708750,
	1268750,
	2437500,
	3000000
}
tweak_data.narrative.jobs.banking.contract_cost = {
	171000,
	332000,
	855000,
	1760000,
	2140000
}
tweak_data.narrative.jobs.banking.experience_mul = {
		1,
		1.1,
		1.2,
		1.25,
		1.3
}

tweak_data.narrative.jobs.banking.contract_visuals = {}
tweak_data.narrative.jobs.banking.contract_visuals.min_mission_xp = {
		87500,
		87500,
		87500,
		87500,
		87500
}
tweak_data.narrative.jobs.banking.contract_visuals.max_mission_xp = {
		127000,
		127000,
		127000,
		127000,
		127000
}
tweak_data.narrative.jobs.banking.dlc = "big_bank"


table.insert(tweak_data.narrative._jobs_index, "banking")

table.insert(tweak_data.levels._level_index, "banking1")
table.insert(tweak_data.levels._level_index, "banking2")
table.insert(tweak_data.levels._level_index, "banking3")
table.insert(tweak_data.levels._level_index, "banking4")
table.insert(tweak_data.levels._level_index, "banking5")

table.insert(tweak_data.assets.ammo_bag.stages, "banking2")
table.insert(tweak_data.assets.health_bag.stages, "banking2")
table.insert(tweak_data.assets.bodybags_bag.stages, "banking2")
table.insert(tweak_data.assets.grenade_crate.stages, "banking2")
table.insert(tweak_data.assets.roberts_pilot, "banking2")
table.insert(tweak_data.assets.roberts_plan_a, "banking2")
table.insert(tweak_data.assets.roberts_plan_b, "banking2")

table.insert(tweak_data.assets.ammo_bag.stages, "banking3")
table.insert(tweak_data.assets.health_bag.stages, "banking3")
table.insert(tweak_data.assets.grenade_crate.stages, "banking3")

table.insert(tweak_data.assets.ammo_bag.stages, "banking4")
table.insert(tweak_data.assets.health_bag.stages, "banking4")