Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_BreakingBallotP", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_breakingballotp1"] = "BREAKING BALLOT",
		["heist_breakingballotp"] = "BREAKING BALLOT",
		["heist_contact_standalone"] = "STANDALONE",
		["heist_breakingballotp_crimenet"] = "Remember that bank we hit for The Elephant? Well, we're going back there, but this time we're doing it for the money."
		})
end)



if not tweak_data then return end

tweak_data.narrative.contacts.standalone = {}
tweak_data.narrative.contacts.standalone.name_id = "heist_contact_standalone"
tweak_data.narrative.contacts.standalone.package = "packages/contact_bain"
tweak_data.narrative.contacts.standalone.assets_gui = Idstring("guis/mission_briefing/preload_contact_bain")

tweak_data.narrative.jobs.breakingballotp = {}
tweak_data.narrative.jobs.breakingballotp.name_id = "heist_breakingballotp"
tweak_data.narrative.jobs.breakingballotp.briefing_id = "heist_breakingballotp_crimenet"
tweak_data.narrative.jobs.breakingballotp.contact = "standalone"
tweak_data.narrative.jobs.breakingballotp.jc = 30
tweak_data.narrative.jobs.breakingballotp.professional = true
tweak_data.narrative.jobs.breakingballotp.region = "professional"
tweak_data.narrative.jobs.breakingballotp.chain = {
		{
			level_id = "breakingballotp1",
			type_id = "heist_type_assault",
			type = "d"
		}
}
tweak_data.narrative.jobs.breakingballotp.briefing_event = "pln_at1_brf_01"
tweak_data.narrative.jobs.breakingballotp.crimenet_callouts = {
		"pln_at1_cnc_01"
}
tweak_data.narrative.jobs.breakingballotp.crimenet_videos = {
		"cn_branchbank1",
		"cn_branchbank3"
}

tweak_data.narrative.jobs.breakingballotp.payout = {
	90000,
	175000,
	250000,
	450000,
	600000
	
}
tweak_data.narrative.jobs.breakingballotp.contract_cost = {
	35000,
	55000,
	125000,
	250000,
	280000
}
tweak_data.narrative.jobs.breakingballotp.experience_mul = {
		1,
		1.1,
		1.2,
		1.25,
		1.3
}

tweak_data.narrative.jobs.breakingballotp.contract_visuals = {}
tweak_data.narrative.jobs.breakingballotp.contract_visuals.min_mission_xp = {
		15000,
		15000,
		15000,
		15000,
		15000
}
tweak_data.narrative.jobs.breakingballotp.contract_visuals.max_mission_xp = {
		27500,
		27500,
		27500,
		27500,
		27500
	}
table.insert(tweak_data.narrative._jobs_index, "breakingballotp")

table.insert(tweak_data.levels._level_index, "breakingballotp1")

table.insert(tweak_data.assets.grenade_crate.stages, "breakingballotp1")

table.insert(tweak_data.assets.ammo_bag.stages, "breakingballotp1")

table.insert(tweak_data.assets.health_bag.stages, "breakingballotp1")