Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_HoxRet", function(loc)
	LocalizationManager:add_localized_strings({
		["menu_pro_warning"] = "THIS IS A CAMPAIGN! IF YOU FAIL, THE ENTIRE CAMPAIGN WILL BE TERMINATED.",
		["heist_contact_hoxret_desc"] = "\"The PAYDAY gang were tested elsewhere, pulling little jobs, here and there... Little do they know, I'm training them for the biggest heist of all...\" - Bain",
		["heist_contact_hoxret"] = "CAMPAIGNS",
		["heist_hoxton_returns1"] = "ELECTION DAY",
		["heist_hoxton_returns1a"] = "LET'S GET STARTED",
		["heist_hoxton_returns1b"] = "SILENT MANIPULATION",
		["heist_hoxton_returns1c"] = "JUST A SIMPLE BANK JOB",
		["heist_hoxton_returns2"] = "BIG BANK",
		["heist_hoxton_returns3"] = "HOTLINE MIAMI",
		["heist_hoxton_returns3a"] = "A SHOT IN THE DARK",
		["heist_hoxton_returns3b"] = "CLIMBING THE LADDER UPWARDS",
		["heist_hoxton_returns4"] = "HOXTON BREAKOUT",
		["heist_hoxton_returns4a"] = "TIME TO FETCH THE CARGO",
		["heist_hoxton_returns4b"] = "HACKING AND GRABBING",
		["heist_hoxton_returns5"] = "HOXTON REVENGE"
	})

	local value = math.random(1,5)
	if value == 1 then
	LocalizationManager:add_localized_strings({
	["heist_hoxton_returns"] = "DALLAS: HOXTON RETURNS",
	["heist_hoxton_returns_crimenet"] = "Hoxton's been banging on his prison walls for quite a long while, hasn't he? I think it's damn 'round the time that we go and pick him up from his jail cell. It's time to shake the ground a bit, boys. We're gonna break out Hoxton."
	})
	elseif value == 2 then 
	LocalizationManager:add_localized_strings({
	["heist_hoxton_returns"] = "WOLF: HOXTON RETURNS",
	["heist_hoxton_returns_crimenet"] = "The Hox! Hoxifier! Where the hell are you?! Dammit, he never responds to my calls anymore... We gotta get him back! I've got an idea, that will use a lot of explosives! Suit up, load 'em, get to work, because the PAYDAY gang's about to break out Hoxton!"
	})
	elseif value == 3 then
	LocalizationManager:add_localized_strings({
	["heist_hoxton_returns"] = "CHAINS: HOXTON RETURNS",
	["heist_hoxton_returns_crimenet"] = "Hoxton's always been a good guy, and he's stuck with us through thin and thick. I've missed his smart-alec responses since the day we stepped in DC... you know what, fuck this. I've got a plan. We'll get the FBI back good for capturing the fourth member of the PAYDAY gang. Get the fuck up from your chairs, and strap on your armour. We're heading out. Let's break out Hoxton."
	})
	elseif value == 4 then
	LocalizationManager:add_localized_strings({
	["heist_hoxton_returns"] = "HOUSTON: HOXTON RETURNS",
	["heist_hoxton_returns_crimenet"] = "I haven't the damndest idea why you guys love this Englishman so much... he's loud, annoying, and most of all his tells are completely obvious when playing poker... at least, that's what Dallas says. But fine, I understand he was one of the original four, and we're not like anyone to leave a man behind. I've got some connections in mind. We'll do a few incognito jobs to set it all up, but leave that all to me. Out the door at 0200 hours, guys. We're about to go break out Hoxton."
	})
	elseif value == 5 then
	LocalizationManager:add_localized_strings({
	["heist_hoxton_returns"] = "BAIN: HOXTON RETURNS",
	["heist_hoxton_returns_crimenet"] = "The prison that held Hoxton has been decommissioned, and he's being transferred to a new one. This is our shot. Since we've arrived in D.C., we've amassed a ton of reputation and contacts from all around the state. This is to make up for that lucky, lucky shot the FBI got when we were down. Lock and load, everyone. It's time to break out Hoxton."
	})
	end
end)



if not tweak_data then return end
tweak_data.narrative.contacts.hoxton_returns = {}
tweak_data.narrative.contacts.hoxton_returns.name_id = "heist_contact_hoxret"
tweak_data.narrative.contacts.hoxton_returns.description_id = "heist_contact_hoxret_desc"
tweak_data.narrative.contacts.hoxton_returns.package = "packages/contact_bain"
tweak_data.narrative.contacts.hoxton_returns.assets_gui = Idstring("guis/mission_briefing/preload_contact_bain")


tweak_data.narrative.jobs.hoxton_returns = {}
tweak_data.narrative.jobs.hoxton_returns.name_id = "heist_hoxton_returns"
tweak_data.narrative.jobs.hoxton_returns.briefing_id = "heist_hoxton_returns_crimenet"
tweak_data.narrative.jobs.hoxton_returns.region = "street"
tweak_data.narrative.jobs.hoxton_returns.contact = "hoxton_returns"
--tweak_data.narrative.jobs.hoxton_returns.contact = "bain"
tweak_data.narrative.jobs.hoxton_returns.jc = 60
tweak_data.narrative.jobs.hoxton_returns.campaign = true
tweak_data.narrative.jobs.hoxton_returns.professional = true
tweak_data.narrative.jobs.hoxton_returns.region = "professional"
tweak_data.narrative.jobs.hoxton_returns.chain = {
		{
			level_id = "hoxton_returns1",
			type_id = "heist_type_assault",
			type = "e"
		},
		{
			{
				level_id = "hoxton_returns1b",
				type_id = "heist_type_assault",
				type = "e"
			},
			{
				level_id = "hoxton_returns1c",
				type_id = "heist_type_knockover",
				type = "e"
			},
			{
				level_id = "hoxton_returns1c_skip1",
				type_id = "heist_type_knockover",
				type = "e"
			},
			{
				level_id = "hoxton_returns1c_skip2",
				type_id = "heist_type_knockover",
				type = "e"
			}
		},
		{
			level_id = "hoxton_returns2",
			type_id = "heist_type_assault",
			type = "d",
			mission_filter = {1},
			world_setting = "day"
		},
		{
			level_id = "hoxton_returns3",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "hoxton_returns3b",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "hoxton_returns4",
			type_id = "heist_type_assault",
			type = "e"
		},
		{
			level_id = "hoxton_returns4b",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "hoxton_returns5",
			type_id = "heist_type_assault",
			type = "d"
		}
}
tweak_data.narrative.jobs.hoxton_returns.briefing_event = "dentist_hb1_cbf_01"
tweak_data.narrative.jobs.hoxton_returns.debrief_event = "elp_election_debrief"
tweak_data.narrative.jobs.hoxton_returns.crimenet_callouts = {
	"hoxton_hb3_cnc_01_01",
	"hoxton_hb3_cnc_01_02",
	"hoxton_hb3_cnc_01_03"
}
tweak_data.narrative.jobs.hoxton_returns.crimenet_videos = {
	"cn_hox1",
	"cn_hox2",
	"cn_hox3",
	"cn_hox4",
	"cn_big1",
	"cn_big2",
	"cn_big3"
}

tweak_data.narrative.jobs.hoxton_returns.payout = {
	500000,
	1650000,
	2750000,
	5525000,
	7255000
}
tweak_data.narrative.jobs.hoxton_returns.contract_cost = {
	248000,
	496000,
	124000,
	2480000,
	3200000
}
tweak_data.narrative.jobs.hoxton_returns.experience_mul = {
		1.0,
		1.0,
		1.0,
		1.0,
		1.0
}

tweak_data.narrative.jobs.hoxton_returns.contract_visuals = {}
tweak_data.narrative.jobs.hoxton_returns.contract_visuals.min_mission_xp = {
		10000,
		20000,
		30000,
		40000,
		50000
}
tweak_data.narrative.jobs.hoxton_returns.contract_visuals.max_mission_xp = {
		100000,
		125000,
		225000,
		300000,
		350000
	}
tweak_data.experience_manager.day_multiplier = {
		1,
		2,
		3,
		4,
		5,
		6,
		7,
		8,
		9,
		10,
		11,
		12,
		13,
		14
}
tweak_data.narrative.jobs.hoxton_returns.dlc = "hl_miami"

table.insert(tweak_data.narrative._jobs_index, "hoxton_returns")

table.insert(tweak_data.levels._level_index, "hoxton_returns1")
table.insert(tweak_data.levels._level_index, "hoxton_returns1b")
table.insert(tweak_data.levels._level_index, "hoxton_returns1c")
table.insert(tweak_data.levels._level_index, "hoxton_returns1c_skip1")
table.insert(tweak_data.levels._level_index, "hoxton_returns1c_skip2")
table.insert(tweak_data.levels._level_index, "hoxton_returns2")
table.insert(tweak_data.levels._level_index, "hoxton_returns3")
table.insert(tweak_data.levels._level_index, "hoxton_returns3b")
table.insert(tweak_data.levels._level_index, "hoxton_returns3b_new")
table.insert(tweak_data.levels._level_index, "hoxton_returns4")
table.insert(tweak_data.levels._level_index, "hoxton_returns4b")
table.insert(tweak_data.levels._level_index, "hoxton_returns5")


table.insert(tweak_data.assets.bodybags_bag.stages, "hoxton_returns1")
table.insert(tweak_data.assets.bodybags_bag.stages, "hoxton_returns1b")
table.insert(tweak_data.assets.bodybags_bag.stages, "hoxton_returns5")

table.insert(tweak_data.assets.spotter.stages, "hoxton_returns1")
table.insert(tweak_data.assets.spotter.stages, "hoxton_returns1b")

table.insert(tweak_data.assets.grenade_crate.stages, "hoxton_returns1")
table.insert(tweak_data.assets.grenade_crate.stages, "hoxton_returns1c")
table.insert(tweak_data.assets.grenade_crate.stages, "hoxton_returns1c_skip1")
table.insert(tweak_data.assets.grenade_crate.stages, "hoxton_returns1c_skip2")
table.insert(tweak_data.assets.grenade_crate.stages, "hoxton_returns5")

table.insert(tweak_data.assets.ammo_bag.stages, "hoxton_returns1")
table.insert(tweak_data.assets.ammo_bag.stages, "hoxton_returns1b")
table.insert(tweak_data.assets.ammo_bag.stages, "hoxton_returns1c")
table.insert(tweak_data.assets.ammo_bag.stages, "hoxton_returns1c_skip1")
table.insert(tweak_data.assets.ammo_bag.stages, "hoxton_returns1c_skip2")
table.insert(tweak_data.assets.ammo_bag.stages, "hoxton_returns5")

table.insert(tweak_data.assets.health_bag.stages, "hoxton_returns1")
table.insert(tweak_data.assets.health_bag.stages, "hoxton_returns1b")
table.insert(tweak_data.assets.health_bag.stages, "hoxton_returns1c")
table.insert(tweak_data.assets.health_bag.stages, "hoxton_returns1c_skip1")
table.insert(tweak_data.assets.health_bag.stages, "hoxton_returns1c_skip2")
table.insert(tweak_data.assets.health_bag.stages, "hoxton_returns5")

table.insert(tweak_data.assets.sniper_spot_election1.stages, "hoxton_returns1")
table.insert(tweak_data.assets.sniper_spot_election2.stages, "hoxton_returns1b")

table.insert(tweak_data.assets.election_day_1_keycard.stages, "hoxton_returns1")
table.insert(tweak_data.assets.election_day_2_keycard.stages, "hoxton_returns1b")
table.insert(tweak_data.assets.election_day_2_ladder.stages, "hoxton_returns1b")
