if RequiredScript == "lib/tweak_data/levelstweakdata" then

local LevelsTweakDataoiinit = LevelsTweakData.init

function LevelsTweakData:init(...)

                LevelsTweakDataoiinit(self, ...)


        -- ELECTION DAY


        self.hoxton_returns1 = {}
        self.hoxton_returns1.name_id = "heist_hoxton_returns1a"
        self.hoxton_returns1.briefing_id = "eday1_brief"
        self.hoxton_returns1.briefing_dialog = "Play_pln_ed1_brf"
        self.hoxton_returns1.world_name = "narratives/e_election_day/stage_1"
        self.hoxton_returns1.intro_event = "Play_pln_ed1_intro_a"
        self.hoxton_returns1.outro_event = {
                "Play_pln_ed1_end_a",
                "Play_pln_ed1_end_b",
                "Play_pln_ed1_end_c"
        }
        self.hoxton_returns1.music = "heist"
        self.hoxton_returns1.package = "packages/narr_election1"
        self.hoxton_returns1.cube = "cube_apply_heist_bank"
        self.hoxton_returns1.max_bags = 1200
        self.hoxton_returns1.ghost_bonus = 0.05
        --self.hoxton_returns1.env_params = { environment = "environments/pd2_env_docks/pd2_env_docks" }

        self.hoxton_returns1b = {}
        self.hoxton_returns1b.name_id = "heist_hoxton_returns1b"
        self.hoxton_returns1b.briefing_id = "eday2_brief"
        self.hoxton_returns1b.briefing_dialog = "Play_pln_ed2_brf"
        self.hoxton_returns1b.world_name = "narratives/e_election_day/stage_2"
        self.hoxton_returns1b.intro_event = "Play_pln_ed2_intro_a"
        self.hoxton_returns1b.outro_event = {
                "Play_pln_ed2_end_a",
                "Play_pln_ed2_end_b"
        }
        self.hoxton_returns1b.music = "heist"
        self.hoxton_returns1b.package = "packages/narr_election2"
        self.hoxton_returns1b.cube = "cube_apply_heist_bank"
        self.hoxton_returns1b.ghost_bonus = 0.15
        self.hoxton_returns1b.max_bags = 1200
       -- self.hoxton_returns1b.group_ai_preset = "small_urban"
        --self.hoxton_returns1b.env_params = { environment = "environments/pd2_env_n2/pd2_env_n2", color_grading = "color_heat" }


        self.hoxton_returns1c = {}
        self.hoxton_returns1c.name_id = "heist_hoxton_returns1c"
        self.hoxton_returns1c.briefing_id = "eday3_brief_skip1"
        self.hoxton_returns1c.briefing_dialog = "Play_pln_ed3_brf_b"
        self.hoxton_returns1c.world_name = "narratives/e_election_day/stage_3"
        self.hoxton_returns1c.intro_event = "Play_pln_ed3_intro_a"
        self.hoxton_returns1c.outro_event = "Play_pln_ed3_end_a"
        self.hoxton_returns1c.music = "heist"
        self.hoxton_returns1c.package = "packages/narr_election3"
        self.hoxton_returns1c.cube = "cube_apply_heist_bank"
        self.hoxton_returns1c.max_bags = 1200
        self.hoxton_returns1c_skip1 = deep_clone(self.hoxton_returns1c)
        self.hoxton_returns1c_skip1.briefing_id = "eday3_brief_skip1"
        self.hoxton_returns1c_skip1.briefing_dialog = "Play_pln_ed3_brf_b"
        self.hoxton_returns1c_skip2 = deep_clone(self.hoxton_returns1c)
        self.hoxton_returns1c_skip2.briefing_id = "eday3_brief_skip2"
        self.hoxton_returns1c_skip2.briefing_dialog = "Play_pln_ed3_brf_c"


        -- BIG BANK


        self.hoxton_returns2 = {}
        self.hoxton_returns2.name_id = "heist_hoxton_returns2"
        self.hoxton_returns2.briefing_id = "heist_big_briefing"
        self.hoxton_returns2.briefing_dialog = "Play_pln_bb1_brf_01"
        self.hoxton_returns2.world_name = "narratives/bain/big"
        self.hoxton_returns2.intro_event = "Play_pln_bb1_intro_01"
        self.hoxton_returns2.outro_event = {
                "Play_pln_bb1_end_01",
                "Play_pln_bb1_end_02",
                "Play_pln_bb1_end_03",
                "Play_pln_bb1_end_04"
        }
        self.hoxton_returns2.music = "big_bank"
        self.hoxton_returns2.package = "packages/narr_big"
        self.hoxton_returns2.cube = "cube_apply_heist_bank"
        self.hoxton_returns2.ghost_bonus = 0.15
        self.hoxton_returns2.max_bags = 1200


        -- HOTLINE MIAMI

        self.hoxton_returns3 = {}
        self.hoxton_returns3.name_id = "heist_hoxton_returns3a"
        self.hoxton_returns3.briefing_id = "heist_mia_1_briefing"
        self.hoxton_returns3.briefing_dialog = "Play_pln_hm1_brf_01"
        self.hoxton_returns3.world_name = "narratives/dentist/mia/stage1"
        self.hoxton_returns3.intro_event = "Play_pln_hm1_intro_01"
        self.hoxton_returns3.outro_event = "Play_pln_hm1_end_01"
        self.hoxton_returns3.music = "heist"
        self.hoxton_returns3.package = "packages/narr_mia_1"
        self.hoxton_returns3.cube = "cube_apply_heist_bank"
        self.hoxton_returns3.max_bags = 1200
        self.hoxton_returns3b = {}
        self.hoxton_returns3b.name_id = "heist_hoxton_returns3b"
        self.hoxton_returns3b.briefing_id = "heist_mia_2_briefing"
        self.hoxton_returns3b.briefing_dialog = "Play_pln_hm2_brf_01"
        self.hoxton_returns3b.world_name = "narratives/dentist/mia/stage2"
        self.hoxton_returns3b.intro_event = "Play_pln_hm2_intro_01"
        self.hoxton_returns3b.outro_event = "Play_pln_hm2_end_01"
        self.hoxton_returns3b.music = "heist"
        self.hoxton_returns3b.package = "packages/narr_mia_2"
        self.hoxton_returns3b.cube = "cube_apply_heist_bank"
        self.hoxton_returns3b.max_bags = 1200
       --[[ self.hoxton_returns3b.teams = {
                criminal1 = {
                        foes = {
                                mobster1 = true,
                                law1 = true,
                                mobster_boss = true
                        }
                },
                law1 = {
                        foes = {
                                mobster1 = true,
                                criminal1 = true,
                                converted_enemy = true
                        }
                },
                mobster1 = {
                        foes = {
                                law1 = true,
                                criminal1 = true,
                                converted_enemy = true
                        }
                },
                mobster_boss = {
                        foes = {criminal1 = true, converted_enemy = true}
                },
                converted_enemy = {
                        foes = {
                                mobster1 = true,
                                law1 = true,
                                mobster_boss = true
                        }
                },
                neutral1 = {
                        foes = {}
                },
                hacked_turret = {
                        foes = {mobster1 = true, law1 = true}
                }
        }]]
        self.hoxton_returns3b_new = {}
        self.hoxton_returns3b_new.name_id = "heist_hoxton_returns3a"
        self.hoxton_returns3b_new.briefing_id = "heist_mia_2_briefing"
        self.hoxton_returns3b_new.briefing_dialog = "Play_pln_hm2_brf_01"
        self.hoxton_returns3b_new.world_name = "narratives/dentist/mia/stage2"
        self.hoxton_returns3b_new.intro_event = "Play_pln_hm2_intro_01"
        self.hoxton_returns3b_new.outro_event = "Play_pln_hm2_end_01"
        self.hoxton_returns3b_new.music = "heist"
        self.hoxton_returns3b_new.package = "packages/narr_mia_2"
        self.hoxton_returns3b_new.cube = "cube_apply_heist_bank"
      --  self.hoxton_returns3b_new.teams = self.hoxton_returns3b.teams


        -- HOXTON BREAKOUT


        self.hoxton_returns4 = {}
        self.hoxton_returns4.name_id = "heist_hoxton_returns4a"
        self.hoxton_returns4.briefing_id = "heist_hox_1_briefing"
        self.hoxton_returns4.briefing_dialog = "Play_pln_hb1_brf_01"
        self.hoxton_returns4.world_name = "narratives/dentist/hox/stage_1"
        self.hoxton_returns4.intro_event = "Play_pln_hb1_intro_01"
        self.hoxton_returns4.outro_event = {
                "Play_pln_hb1_end_01"
        }
        self.hoxton_returns4.music = "heist"
        self.hoxton_returns4.package = "packages/narr_hox_1"
        self.hoxton_returns4.cube = "cube_apply_heist_bank"
        self.hoxton_returns4.block_AIs = {old_hoxton = true}
        self.hoxton_returns4b = {}
        self.hoxton_returns4b.name_id = "heist_hoxton_returns4b"
        self.hoxton_returns4b.briefing_id = "heist_hox_2_briefing"
        self.hoxton_returns4b.briefing_dialog = "Play_rb5_hb2_brf_01"
        self.hoxton_returns4b.world_name = "narratives/dentist/hox/stage_2"
        self.hoxton_returns4b.intro_event = "Play_rb5_hb2_intro_01"
        self.hoxton_returns4b.outro_event = {
                "Play_rb5_hb2_end_01"
        }
        self.hoxton_returns4b.music = "heist"
        self.hoxton_returns4b.package = "packages/narr_hox_2"
        self.hoxton_returns4b.cube = "cube_apply_heist_bank"
        self.hoxton_returns4b.block_AIs = {old_hoxton = true}

        self.hoxton_returns5 = {}
        self.hoxton_returns5.name_id = "heist_hoxton_returns5"
        self.hoxton_returns5.briefing_id = "heist_hox_3_briefing"
        self.hoxton_returns5.briefing_dialog = "Play_pln_hb3_brf_01"
        self.hoxton_returns5.world_name = "narratives/bain/revenge"
        self.hoxton_returns5.intro_event = "Play_pln_hb3_01"
        self.hoxton_returns5.outro_event = "lol"
        self.hoxton_returns5.music = "heist"
        self.hoxton_returns5.package = "packages/narr_hox_3"
        self.hoxton_returns5.cube = "cube_apply_heist_bank"
        self.hoxton_returns5.max_bags = 1200
        self.hoxton_returns5.ghost_bonus = 0.1
end


elseif RequiredScript == "lib/tweak_data/preplanningtweakdata" then

local PrePlanningTweakData_oinit = PrePlanningTweakData._create_locations

function PrePlanningTweakData:_create_locations(tweak_data)
PrePlanningTweakData_oinit(self, tweak_data)
    self.locations.hoxton_returns2 = {
        default_plans = {
            escape_plan = "escape_helicopter_loud",
            vault_plan = "vault_big_drill"
        },
        total_budget = 10,
        mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_big",
        start_location = {
            group = "a",
            x = 1500,
            y = 1025,
            zoom = 1.5
        },
        {
            name_id = "menu_pp_big_loc_a",
            texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_lobby",
            map_x = -1.1,
            map_y = 0.5,
            map_size = 1,
            x1 = -250,
            y1 = -3000,
            x2 = 5750,
            y2 = 3000,
            rotation = 90,
            custom_points = {
                {
                    x = 1500,
                    y = 1025,
                    text_id = "menu_pp_info_frontdoor",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_a"
                },
                {
                    x = 800,
                    y = 480,
                    text_id = "menu_pp_info_backoffices",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_c"
                },
                {
                    x = 1300,
                    y = 1690,
                    text_id = "menu_pp_info_garage",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_l"
                },
                {
                    x = 1000,
                    y = 1025,
                    text_id = "menu_pp_info_mainhall",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_n"
                },
                {
                    x = 1950,
                    y = 350,
                    text_id = "menu_pp_info_entrypoint",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_o"
                },
                {
                    x = 90,
                    y = 1024,
                    text_id = "menu_pp_info_timelock",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_d"
                },
                {
                    x = 348,
                    y = 590,
                    text_id = "menu_pp_info_securityroom",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_i"
                },
                {
                    x = 574,
                    y = 1742,
                    text_id = "menu_pp_info_securityroom",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_i"
                }
            }
        },
        {
            name_id = "menu_pp_big_loc_b",
            texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_2",
            map_x = 0,
            map_y = 0.5,
            map_size = 1,
            x1 = -250,
            y1 = -3000,
            x2 = 5750,
            y2 = 3000,
            rotation = 90,
            custom_points = {
                {
                    x = 190,
                    y = 1700,
                    text_id = "menu_pp_info_mgroffices",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_k"
                },
                {
                    x = 800,
                    y = 480,
                    text_id = "menu_pp_info_backoffices",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_c"
                },
                {
                    x = 90,
                    y = 1024,
                    text_id = "menu_pp_info_timelock",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_d"
                },
                {
                    x = 870,
                    y = 1625,
                    text_id = "menu_pp_info_ladder",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_b"
                },
                {
                    x = 164,
                    y = 1437,
                    text_id = "menu_pp_info_securityroom",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_i"
                }
            }
        },
        {
            name_id = "menu_pp_big_loc_c",
            texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_roof",
            map_x = 1.1,
            map_y = 0.5,
            map_size = 1,
            x1 = -250,
            y1 = -3000,
            x2 = 5750,
            y2 = 3000,
            rotation = 90,
            custom_points = {
                {
                    x = 869,
                    y = 1629,
                    text_id = "menu_pp_info_ladder",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_b"
                },
                {
                    x = 1356,
                    y = 1164,
                    text_id = "menu_pp_info_zipline",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_m"
                },
                {
                    x = 782,
                    y = 1458,
                    text_id = "menu_pp_info_roof",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_h"
                }
            }
        },
        {
            name_id = "menu_pp_big_loc_d",
            texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_vault_2",
            map_x = 0,
            map_y = -0.6,
            map_size = 1,
            x1 = -5771,
            y1 = -3000,
            x2 = 229,
            y2 = 3000,
            rotation = 90,
            custom_points = {
                {
                    x = 1152,
                    y = 1298,
                    text_id = "menu_pp_info_vaultsecurity1",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_g"
                },
                {
                    x = 1152,
                    y = 746,
                    text_id = "menu_pp_info_vaultsecurity2",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_g"
                },
                {
                    x = 465,
                    y = 1365,
                    text_id = "menu_pp_info_vault",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_f"
                }
            }
        },
        {
            name_id = "menu_pp_big_loc_e",
            texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_vault",
            map_x = -1.1,
            map_y = -0.6,
            map_size = 1,
            x1 = -5771,
            y1 = -3000,
            x2 = 229,
            y2 = 3000,
            rotation = 90,
            custom_points = {
                {
                    x = 1154,
                    y = 1015,
                    text_id = "menu_pp_info_moneycounting",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_e"
                },
                {
                    x = 465,
                    y = 1365,
                    text_id = "menu_pp_info_vault",
                    to_upper = true,
                    icon = 45,
                    rotation = -90,
                    post_event = "pln_pp_bb1_f"
                }
            }
        }
    }
    self.locations.hoxton_returns3 = {
        default_plans = {},
        total_budget = 6,
        mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_hlm1",
        start_location = {
            group = "a",
            x = 1024,
            y = 512,
            zoom = 1
        },
        grid_width_mul = 0.5,
        grid_height_mul = 1.4,
        {
            name_id = "menu_pp_mia_1_loc_a",
            texture = "guis/textures/pd2/pre_planning/hlm_01",
            map_x = -0.55,
            map_y = 0,
            map_width = 2,
            map_height = 1,
            x1 = -5524,
            y1 = -5358,
            x2 = 7476,
            y2 = 1142,
            rotation = 0,
            custom_points = {}
        },
        {
            name_id = "menu_pp_mia_1_loc_b",
            texture = "guis/textures/pd2/pre_planning/hlm_02",
            map_x = 1.05,
            map_y = -0.25,
            map_width = 1,
            map_height = 0.5,
            x1 = -1018,
            y1 = -4672,
            x2 = 7782,
            y2 = -272,
            rotation = 0,
            custom_points = {}
        },
        {
            name_id = "menu_pp_mia_1_loc_c",
            texture = "guis/textures/pd2/pre_planning/hlm_03",
            map_x = 1.05,
            map_y = 0.25,
            map_width = 1,
            map_height = 0.5,
            x1 = -1018,
            y1 = -4672,
            x2 = 7782,
            y2 = -272,
            rotation = 0,
            custom_points = {}
        }
    }
    self.locations.hoxton_returns3b = {
        default_plans = {},
        total_budget = 6,
        mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_hlm2",
        grid_width_mul = 0.5,
        grid_height_mul = 0.5,
        start_location = {
            group = "a",
            x = 290,
            y = 835,
            zoom = 1.25
        },
        {
            name_id = "menu_pp_mia_2_loc_a",
            texture = "guis/textures/pd2/pre_planning/hlm2_01",
            map_x = 0,
            map_y = 1,
            map_width = 1,
            map_height = 1,
            x1 = -3050,
            y1 = -3275,
            x2 = 3850,
            y2 = 3625,
            rotation = 0,
            custom_points = {
                {
                    x = 290,
                    y = 840,
                    text_id = "menu_pp_info_the_box",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_pp_hm2_01"
                },
                {
                    x = 423,
                    y = 507,
                    text_id = "menu_pp_info_bombstrapped",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_pp_hm2_04"
                }
            }
        },
        {
            name_id = "menu_pp_mia_2_loc_b",
            texture = "guis/textures/pd2/pre_planning/hlm2_02",
            map_x = -1,
            map_y = 0,
            map_width = 1,
            map_height = 1,
            x1 = -3050,
            y1 = -3275,
            x2 = 3850,
            y2 = 3625,
            rotation = 0,
            custom_points = {}
        },
        {
            name_id = "menu_pp_mia_2_loc_c",
            texture = "guis/textures/pd2/pre_planning/hlm2_03",
            map_x = 0,
            map_y = 0,
            map_width = 1,
            map_height = 1,
            x1 = -3050,
            y1 = -3275,
            x2 = 3850,
            y2 = 3625,
            rotation = 0,
            custom_points = {}
        },
        {
            name_id = "menu_pp_mia_2_loc_d",
            texture = "guis/textures/pd2/pre_planning/hlm2_04",
            map_x = 1,
            map_y = 0,
            map_width = 1,
            map_height = 1,
            x1 = -3050,
            y1 = -3275,
            x2 = 3850,
            y2 = 3625,
            rotation = 0,
            custom_points = {}
        },
        {
            name_id = "menu_pp_mia_2_loc_e",
            texture = "guis/textures/pd2/pre_planning/hlm2_05",
            map_x = 0,
            map_y = -1,
            map_width = 1,
            map_height = 1,
            x1 = -3050,
            y1 = -3275,
            x2 = 3850,
            y2 = 3625,
            rotation = 0,
            custom_points = {
                {
                    x = 300,
                    y = 143,
                    text_id = "menu_pp_info_vault_comm",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_pp_hm2_02"
                },
                {
                    x = 546,
                    y = 143,
                    text_id = "menu_pp_info_cocaine_mountain",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_pp_hm2_03"
                }
            }
        }
    }

end

end