local LevelsTweakDataoiinit = LevelsTweakData.init

function LevelsTweakData:init(...)

                LevelsTweakDataoiinit(self, ...)

    self.onarise1 = {}
    self.onarise1.name_id = "heist_onarise1"
    self.onarise1.briefing_id = "heist_four_stores_briefing"
    self.onarise1.briefing_dialog = "Play_pln_fourstores_stage1_brief"
    self.onarise1.world_name = "narratives/vlad/four_stores"
    self.onarise1.intro_event = "Play_pln_fourstores_stage1_intro_a"
    self.onarise1.outro_event = {
        "Play_pln_fourstores_stage1_end_a",
        "Play_pln_fourstores_stage1_end_b"
    }
    self.onarise1.music = "heist"
    self.onarise1.package = "packages/vlad_four_stores"
    self.onarise1.cube = "cube_apply_heist_bank"
    self.onarise1.ghost_bonus = 0.05
    self.onarise1.max_bags = 5

    self.onarise2 = {}
    self.onarise2.name_id = "heist_onarise2"
    self.onarise2.briefing_id = "heist_nightclub_briefing"
    self.onarise2.briefing_dialog = "Play_pln_nightclub_stage1_brief"
    self.onarise2.world_name = "narratives/vlad/nightclub"
    self.onarise2.intro_event = "Play_pln_nightclub_stage1_intro_a"
    self.onarise2.outro_event = {
        "Play_pln_nightclub_stage1_end_a",
        "Play_pln_nightclub_stage1_end_b"
    }
    self.onarise2.music = "heist"
    self.onarise2.package = "packages/vlad_nightclub"
    self.onarise2.cube = "cube_apply_heist_bank"
    self.onarise2.ghost_bonus = 0.1
    self.onarise2.max_bags = 33

    self.onarise3 = {}
    self.onarise3.name_id = "heist_onarise3"
    self.onarise3.briefing_id = "heist_mallcrasher_briefing"
    self.onarise3.briefing_dialog = "Play_pln_mallcrasch_stage1_brief"
    self.onarise3.world_name = "narratives/vlad/mallcrasher"
    self.onarise3.intro_event = "Play_pln_mallcrasch_stage1_intro_a"
    self.onarise3.outro_event = {
        "Play_pln_mallcrasch_stage1_end_a",
        "Play_pln_mallcrasch_stage1_end_b"
    }
    self.onarise3.music = "heist"
    self.onarise3.package = "packages/vlad_mallcrasher"
    self.onarise3.cube = "cube_apply_heist_bank"
    self.onarise3.max_bags = 45

    self.onarise4 = {}
    self.onarise4.name_id = "heist_onarise4"
    self.onarise4.briefing_id = "heist_ukrainian_job_briefing"
    self.onarise4.briefing_dialog = "Play_pln_ukranian_stage1_brief"
    self.onarise4.briefing_assets_gui = Idstring("guis/mission_briefing/preload_stage_quick_diamond")
    self.onarise4.world_name = "narratives/vlad/ukrainian_job"
    self.onarise4.intro_event = "Play_pln_ukranian_stage1_intro_a"
    self.onarise4.outro_event = {
        "Play_pln_ukranian_stage1_end_a",
        "Play_pln_ukranian_stage1_end_b",
        "Play_pln_ukranian_stage1_end_c"
    }
    self.onarise4.music = "heist"
    self.onarise4.package = {
        "packages/ukrainian_job"
    }
    self.onarise4.cube = "cube_apply_heist_bank"
    self.onarise4.group_ai_preset = "small_urban"
    self.onarise4.ghost_bonus = 0.05
    self.onarise4.max_bags = 61

    self.onarise5 = {}
    self.onarise5.name_id = "heist_onarise5"
    self.onarise5.briefing_id = "heist_pines_briefing"
    self.onarise5.briefing_dialog = "Play_pln_cp1_brf_01"
    self.onarise5.world_name = "narratives/vlad/pines"
    self.onarise5.intro_event = "Play_pln_cp1_intro_01"
    self.onarise5.outro_event = "Play_vld_cp1_end"
    self.onarise5.music = "heist"
    self.onarise5.package = "packages/narr_pines"
    self.onarise5.cube = "cube_apply_heist_bank"
    self.onarise5.max_bags = 1200

    self.onarise6 = {}
    self.onarise6.name_id = "heist_onarise6"
    self.onarise6.briefing_id = "heist_shoutout_raid_briefing"
    self.onarise6.briefing_dialog = "Play_pln_ko1b_brf_01"
    self.onarise6.world_name = "narratives/vlad/shout"
    self.onarise6.intro_event = "Play_pln_rat_stage1_intro_a"
    self.onarise6.outro_event = {
        "Play_pln_rat_stage1_end_a",
        "Play_pln_rat_stage1_end_b",
        "Play_pln_rat_stage1_end_c"
    }
    self.onarise6.music = "heist"
    self.onarise6.package = "packages/vlad_shout"
    self.onarise6.cube = "cube_apply_heist_bank"
    self.onarise6.max_bags = 1200
	
	self.onarise7 = {}
	self.onarise7.name_id = "heist_jolly_hl"
	self.onarise7.briefing_id = "heist_jolly_briefing"
	self.onarise7.briefing_dialog = "Play_pln_as1_brf_01"
	self.onarise7.world_name = "narratives/vlad/jolly"
	self.onarise7.intro_event = "Play_plt_as1_intro_01"
	self.onarise7.outro_event = {"vld_as1_17", "vld_as1_17"}
	self.onarise7.music = "heist"
	self.onarise7.package = "packages/jolly"
	self.onarise7.cube = "cube_apply_heist_bank"
	self.onarise7.max_bags = 1200
	
	self.onarise8 = {}
	self.onarise8.name_id = "heist_cane_hl"
	self.onarise8.briefing_id = "heist_cane_briefing"
	self.onarise8.briefing_dialog = "Play_pln_can_brf_01"
	self.onarise8.world_name = "narratives/vlad/cane"
	self.onarise8.intro_event = "Play_pln_can_intro_01"
	self.onarise8.outro_event = "Play_vld_can_11"
	self.onarise8.package = "packages/cane"
	self.onarise8.cube = "cube_apply_heist_bank"
	self.onarise8.max_bags = 3600
end