Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_PentHouseP", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_penthousep1"] = "PENTHOUSE",
		["heist_penthousep"] = "BACK FOR THE GOLD",
		["heist_penthousep_crimenet"] = "Our good old friend Mr.Senator is back doing business with the wrong people. He's got some more gold in his precious little vault. Why don't we show him, that we don't want him in our town, shall we?"
		})
end)



if not tweak_data then return end

tweak_data.narrative.jobs.penthousep = {}
tweak_data.narrative.jobs.penthousep.name_id = "heist_penthousep"
tweak_data.narrative.jobs.penthousep.briefing_id = "heist_penthousep_crimenet"
tweak_data.narrative.jobs.penthousep.contact = "standalone"
tweak_data.narrative.jobs.penthousep.jc = 40
tweak_data.narrative.jobs.penthousep.professional = true
tweak_data.narrative.jobs.penthousep.region = "professional"
tweak_data.narrative.jobs.penthousep.chain = {
		{
			level_id = "penthousep1",
			type_id = "heist_type_stealth",
			type = "e",
			mission_filter = {1}
		}
}
tweak_data.narrative.jobs.penthousep.briefing_event = "elp_framing_brf"
tweak_data.narrative.jobs.penthousep.crimenet_callouts = {
		"elp_framing_cmc_01"
	}
tweak_data.narrative.jobs.penthousep.crimenet_videos = {
		"cn_framingframe1",
		"cn_framingframe2",
		"cn_framingframe3"
}

tweak_data.narrative.jobs.penthousep.payout = {
	100000,
	250000,
	400000,
	500000,
	600000
}
tweak_data.narrative.jobs.penthousep.contract_cost = {
	21000,
	75000,
	150000,
	205000,
	400000
}
tweak_data.narrative.jobs.penthousep.experience_mul = {
		1,
		1.1,
		1.2,
		1.25,
		1.3
}

tweak_data.narrative.jobs.penthousep.contract_visuals = {}
tweak_data.narrative.jobs.penthousep.contract_visuals.min_mission_xp = {
		25000,
		25000,
		25000,
		25000,
		25000
}
tweak_data.narrative.jobs.penthousep.contract_visuals.max_mission_xp = {
		42000,
		42000,
		42000,
		42000,
		42000
}


table.insert(tweak_data.narrative._jobs_index, "penthousep")

table.insert(tweak_data.levels._level_index, "penthousep1")