Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_BreakingBallot", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_breakingballot1"] = "BREAKING BALLOT",
		["heist_breakingballot"] = "BREAKING BALLOT",
		["heist_contact_standalone"] = "STANDALONE",
		["heist_breakingballot_crimenet"] = "Remember that bank we hit for The Elephant? Well, we're going back there, but this time we're doing it for the money."
		})
end)



if not tweak_data then return end

tweak_data.narrative.contacts.standalone = {}
tweak_data.narrative.contacts.standalone.name_id = "heist_contact_standalone"
tweak_data.narrative.contacts.standalone.package = "packages/contact_bain"
tweak_data.narrative.contacts.standalone.assets_gui = Idstring("guis/mission_briefing/preload_contact_bain")

tweak_data.narrative.jobs.breakingballot = {}
tweak_data.narrative.jobs.breakingballot.name_id = "heist_breakingballot"
tweak_data.narrative.jobs.breakingballot.briefing_id = "heist_breakingballot_crimenet"
tweak_data.narrative.jobs.breakingballot.contact = "standalone"
tweak_data.narrative.jobs.breakingballot.jc = 30
tweak_data.narrative.jobs.breakingballot.professional = false
tweak_data.narrative.jobs.breakingballot.region = "professional"
tweak_data.narrative.jobs.breakingballot.chain = {
		{
			level_id = "breakingballot1",
			type_id = "heist_type_assault",
			type = "d"
		}
}
tweak_data.narrative.jobs.breakingballot.briefing_event = "pln_at1_brf_01"
tweak_data.narrative.jobs.breakingballot.crimenet_callouts = {
		"pln_at1_cnc_01"
}
tweak_data.narrative.jobs.breakingballot.crimenet_videos = {
		"cn_branchbank1",
		"cn_branchbank3"
}

tweak_data.narrative.jobs.breakingballot.payout = {
	80000,
	150000,
	200000,
	400000,
	500000
	
}
tweak_data.narrative.jobs.breakingballot.contract_cost = {
	30000,
	75000,
	100000,
	200000,
	250000
}
tweak_data.narrative.jobs.breakingballot.experience_mul = {
		1,
		1.1,
		1.2,
		1.25,
		1.3
}

tweak_data.narrative.jobs.breakingballot.contract_visuals = {}
tweak_data.narrative.jobs.breakingballot.contract_visuals.min_mission_xp = {
		10000,
		10000,
		10000,
		10000,
		10000
}
tweak_data.narrative.jobs.breakingballot.contract_visuals.max_mission_xp = {
		22500,
		22500,
		22500,
		22500,
		22500
	}
table.insert(tweak_data.narrative._jobs_index, "breakingballot")

table.insert(tweak_data.levels._level_index, "breakingballot1")

table.insert(tweak_data.assets.grenade_crate.stages, "breakingballot1")
table.insert(tweak_data.assets.ammo_bag.stages, "breakingballot1")
table.insert(tweak_data.assets.health_bag.stages, "breakingballot1")