local LevelsTweakDataoiinit = LevelsTweakData.init

function LevelsTweakData:init(...)

                LevelsTweakDataoiinit(self, ...)

    self.fallofthemendozas1 = {}
    self.fallofthemendozas1.name_id = "heist_fallofthemendozas1"
    self.fallofthemendozas1.briefing_id = "heist_firestarter_1_briefing"
    self.fallofthemendozas1.briefing_dialog = "Play_pln_firestarter_stage1_brief"
    self.fallofthemendozas1.world_name = "narratives/h_firestarter/stage_1"
    self.fallofthemendozas1.intro_event = "Play_pln_firestarter_stage1_intro_a"
    self.fallofthemendozas1.outro_event = {
        "Play_pln_firestarter_stage1_end_a",
        "Play_pln_firestarter_stage1_end_b"
    }
    self.fallofthemendozas1.music = "heist"
    self.fallofthemendozas1.package = "packages/narr_firestarter1"
    self.fallofthemendozas1.cube = "cube_apply_heist_bank"
    self.fallofthemendozas1.max_bags = 16
    self.fallofthemendozas2 = {}
    self.fallofthemendozas2.name_id = "heist_fallofthemendozas2"
    self.fallofthemendozas2.briefing_id = "heist_firestarter_2_briefing"
    self.fallofthemendozas2.briefing_dialog = "Play_pln_firestarter_stage2_brief"
    self.fallofthemendozas2.world_name = "narratives/h_firestarter/stage_2"
    self.fallofthemendozas2.intro_event = "Play_pln_firestarter_stage2_intro_a"
    self.fallofthemendozas2.outro_event = {
        "Play_pln_firestarter_stage2_end_a",
        "Play_pln_firestarter_stage2_end_b"
    }
    self.fallofthemendozas2.music = "heist"
    self.fallofthemendozas2.package = "packages/narr_firestarter2"
    self.fallofthemendozas2.cube = "cube_apply_heist_bank"
    self.fallofthemendozas2.ghost_bonus = 0.15
    self.fallofthemendozas2.max_bags = 34
    self.fallofthemendozas3 = {}
    self.fallofthemendozas3.name_id = "heist_fallofthemendozas3"
    self.fallofthemendozas3.briefing_id = "heist_firestarter_3_briefing"
    self.fallofthemendozas3.briefing_dialog = "Play_pln_firestarter_stage3_brief"
    self.fallofthemendozas3.world_name = "narratives/h_firestarter/stage_3"
    self.fallofthemendozas3.intro_event = "Play_pln_firestarter_stage3_intro_a"
    self.fallofthemendozas3.outro_event = {
        "Play_pln_firestarter_stage3_end_a",
        "Play_pln_firestarter_stage3_end_b"
    }
    self.fallofthemendozas3.music = "heist"
    self.fallofthemendozas3.package = "packages/narr_firestarter3"
    self.fallofthemendozas3.cube = "cube_apply_heist_bank"
    self.fallofthemendozas3.mission_data = {
        {mission = "default"}
    }
    self.fallofthemendozas3.ghost_bonus = 0.05
    self.fallofthemendozas3.max_bags = 54

    self.fallofthemendozas4 = {}
    self.fallofthemendozas4.name_id = "heist_fallofthemendozas4"
    self.fallofthemendozas4.briefing_id = "heist_alex_1_briefing"
    self.fallofthemendozas4.briefing_dialog = "Play_pln_rat_stage1_brief"
    self.fallofthemendozas4.world_name = "narratives/h_alex_must_die/stage_1"
    self.fallofthemendozas4.intro_event = "Play_pln_rat_stage1_intro_a"
    self.fallofthemendozas4.outro_event = {
        "Play_pln_rat_stage1_end_a",
        "Play_pln_rat_stage1_end_b",
        "Play_pln_rat_stage1_end_c"
    }
    self.fallofthemendozas4.music = "heist"
    self.fallofthemendozas4.package = "packages/narr_alex1"
    self.fallofthemendozas4.cube = "cube_apply_heist_bank"
    self.fallofthemendozas4.max_bags = 65
    self.fallofthemendozas5 = {}
	
    self.fallofthemendozas5.name_id = "heist_fallofthemendozas5"
    self.fallofthemendozas5.briefing_id = "heist_alex_2_briefing"
    self.fallofthemendozas5.briefing_dialog = "Play_pln_rat_stage2_brief"
    self.fallofthemendozas5.world_name = "narratives/h_alex_must_die/stage_2"
    self.fallofthemendozas5.intro_event = "Play_pln_rat_stage2_intro_a"
    self.fallofthemendozas5.outro_event = {
        "Play_pln_rat_stage2_end_a",
        "Play_pln_rat_stage2_end_b",
        "Play_pln_rat_stage2_end_c",
        "Play_pln_rat_stage2_end_d",
        "Play_pln_rat_stage2_end_e"
    }
    self.fallofthemendozas5.music = "heist"
    self.fallofthemendozas5.package = "packages/narr_alex2"
    self.fallofthemendozas5.cube = "cube_apply_heist_bank"
    self.fallofthemendozas5.max_bags = 84
	self.fallofthemendozas5.disable_distribute = true
	self.fallofthemendozas5.filter_distribute = {meth = true}
    self.fallofthemendozas6 = {}
    self.fallofthemendozas6.name_id = "heist_fallofthemendozas6"
    self.fallofthemendozas6.briefing_id = "heist_alex_3_briefing"
    self.fallofthemendozas6.briefing_dialog = "Play_pln_rat_stage3_brief"
    self.fallofthemendozas6.world_name = "narratives/h_alex_must_die/stage_3"
    self.fallofthemendozas6.intro_event = "Play_pln_rat_stage3_intro_a"
    self.fallofthemendozas6.outro_event = {
        "Play_pln_rat_stage3_end_a",
        "Play_pln_rat_stage3_end_b",
        "Play_pln_rat_stage3_end_c"
    }
    self.fallofthemendozas6.music = "heist"
    self.fallofthemendozas6.package = "packages/narr_alex3"
    self.fallofthemendozas6.cube = "cube_apply_heist_bank"
    self.fallofthemendozas6.max_bags = 118
end