Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_FoSho", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_fosho1"] = "Black Ridge",
		["heist_fosho2"] = "Small Town, Big Cash",
		["heist_fosho"] = "Locke: Murky waters",
		["heist_fosho_crimenet"] = "I don't trust this Locke guy, but he has some interesting jobs for us. Do what he says gang, but if anything goes wrong, I'm getting you out of there."
		})
end)



if not tweak_data then return end

tweak_data.narrative.jobs.fosho = {}
tweak_data.narrative.jobs.fosho.name_id = "heist_fosho"
tweak_data.narrative.jobs.fosho.briefing_id = "heist_fosho_crimenet"
tweak_data.narrative.jobs.fosho.contact = "hoxton_returns"
tweak_data.narrative.jobs.fosho.jc = 40
tweak_data.narrative.jobs.fosho.campaign = true
tweak_data.narrative.jobs.fosho.professional = true
tweak_data.narrative.jobs.fosho.region = "professional"
tweak_data.narrative.jobs.fosho.chain = {
		{
			level_id = "fosho1",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "fosho1",
			type_id = "heist_type_assault",
			type = "d"
		}
}
tweak_data.narrative.jobs.fosho.briefing_event = "loc_jr1_cbf_01"
tweak_data.narrative.jobs.fosho.crimenet_callouts = {
		"loc_jr1_cnc_01"	
	}
tweak_data.narrative.jobs.fosho.crimenet_videos = {
		"cn_jewel1",
		"cn_jewel2",
		"cn_jewel3"
}

tweak_data.narrative.jobs.fosho.payout = {
	175000,
	304000,
	700000,
	1335000,
	1760000
}
tweak_data.narrative.jobs.fosho.contract_cost = {
	62000,
	124000,
	310000,
	620000,
	800000
}
tweak_data.narrative.jobs.fosho.experience_mul = {
		1,
		1.1,
		1.2,
		1.25,
		1.3
}

tweak_data.narrative.jobs.fosho.contract_visuals = {}
tweak_data.narrative.jobs.fosho.contract_visuals.min_mission_xp = {
		53500,
		53500,
		53500,
		53500,
		53500
}
tweak_data.narrative.jobs.fosho.contract_visuals.max_mission_xp = {
		63100,
		63100,
		63100,
		63100,
		63100
}
tweak_data.narrative.jobs.fosho.dlc = "berry"

table.insert(tweak_data.narrative._jobs_index, "fosho")
table.insert(tweak_data.levels._level_index, "fosho1")
table.insert(tweak_data.levels._level_index, "fosho2")