if RequiredScript == "lib/tweak_data/levelstweakdata" then

local LevelsTweakDataoiinit = LevelsTweakData.init

function LevelsTweakData:init(...)

                LevelsTweakDataoiinit(self, ...)

	self.fosho1 = {}
	self.fosho1.name_id = "heist_fosho1"
	self.fosho1.briefing_id = "heist_pbr_briefing"
	self.fosho1.briefing_dialog = "Play_pln_jr1_brf_01"
	self.fosho1.world_name = "narratives/pbr/berry"
	self.fosho1.intro_event = "Play_mer_jr1_intro_01"
	self.fosho1.outro_event = "Play_pln_jr1_09"
	self.fosho1.music = "heist"
	self.fosho1.package = {
		"packages/narr_jerry1"
	}
	self.fosho1.cube = "cube_apply_heist_bank"
	self.fosho1.max_bags = 20
	
	self.fosho2 = {}
	self.fosho2.name_id = "heist_fosho2"
	self.fosho2.briefing_id = "heist_pbr2_briefing"
	self.fosho2.briefing_dialog = "Play_pln_jr2_brf_01"
	self.fosho2.world_name = "narratives/pbr/jerry"
	self.fosho2.intro_event = "Play_pln_jr2_intro_01"
	self.fosho2.outro_event = "Play_loc_jr2_44"
	self.fosho2.music = "heist"
	self.fosho2.package = {
		"packages/narr_jerry2"
	}
	self.fosho2.cube = "cube_apply_heist_bank"
	self.pbr.max_bags = 20

end

elseif RequiredScript == "lib/tweak_data/preplanningtweakdata" then

local PrePlanningTweakData_oinit = PrePlanningTweakData._create_locations

function PrePlanningTweakData:_create_locations(tweak_data)
PrePlanningTweakData_oinit(self, tweak_data)

	self.locations.fosho1 = {
		default_plans = {},
		total_budget = 6,
		mission_briefing_texture = "guis/dlcs/berry/textures/pd2/pre_planning/mission_briefing_pbr",
		start_location = {
			group = "a",
			x = 1024,
			y = 1024,
			zoom = 1
		},
		{
			name_id = "menu_pp_berry_bpr_loc_a",
			texture = "guis/dlcs/berry/textures/pd2/pre_planning/base_01",
			map_x = -0.55,
			map_y = 0,
			map_size = 1,
			x1 = -15000,
			y1 = -7600,
			x2 = -5000,
			y2 = 2400,
			rotation = 90,
			custom_points = {}
		},
		{
			name_id = "menu_pp_berry_bpr_loc_b",
			texture = "guis/dlcs/berry/textures/pd2/pre_planning/base_02",
			map_x = 0.55,
			map_y = 0,
			map_size = 1,
			x1 = -15100,
			y1 = -8000,
			x2 = -5100,
			y2 = 2000,
			rotation = 0,
			custom_points = {}
		}
	}
end

end