if RequiredScript == "lib/tweak_data/levelstweakdata" then

local LevelsTweakDataoiinit = LevelsTweakData.init

function LevelsTweakData:init(...)

                LevelsTweakDataoiinit(self, ...)

	self.penthousep1 = {}
	self.penthousep1.name_id = "heist_framing_frame_3_hl"
	self.penthousep1.briefing_id = "heist_framing_frame_3_briefing"
	self.penthousep1.briefing_dialog = "Play_pln_framing_stage3_brief"
	self.penthousep1.world_name = "narratives/e_framing_frame/stage_3"
	self.penthousep1.intro_event = "Play_pln_framing_stage3_intro"
	self.penthousep1.outro_event = {
		"Play_pln_framing_stage3_end_a",
		"Play_pln_framing_stage3_end_b",
		"Play_pln_framing_stage3_end_c"
	}
	self.penthousep1.music = "heist"
	self.penthousep1.package = "packages/narr_framing_3"
	self.penthousep1.cube = "cube_apply_heist_bank"
	self.penthousep1.ghost_bonus = 0.20
	self.penthousep1.max_bags = 21

end


elseif RequiredScript == "lib/tweak_data/preplanningtweakdata" then

local PrePlanningTweakData_oinit = PrePlanningTweakData._create_locations

function PrePlanningTweakData:_create_locations(tweak_data)
PrePlanningTweakData_oinit(self, tweak_data)

    self.locations.penthousep1 = {
		default_plans = {},
		total_budget = 8,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_framingframe3",
		start_location = {
			group = "a",
			x = 512,
			y = 512,
			zoom = 1
		},
		grid_width_mul = 2.2,
		grid_height_mul = 1.5,
		min_zoom = 0.7,
		{
			name_id = "menu_pp_framing_frame_3_loc_b",
			texture = "guis/textures/pd2/pre_planning/framing_frame_3_1",
			map_x = -1.1,
			map_y = 0,
			map_size = 1,
			x1 = -6600,
			y1 = 600,
			x2 = -1400,
			y2 = 5800,
			rotation = 0,
			custom_points = {}
		},
		{
			name_id = "menu_pp_framing_frame_3_loc_a",
			texture = "guis/textures/pd2/pre_planning/framing_frame_3_2",
			map_x = 0,
			map_y = 0,
			map_size = 1,
			x1 = -6600,
			y1 = 700,
			x2 = -1400,
			y2 = 5900,
			rotation = 0,
			custom_points = {}
		},
		{
			name_id = "menu_pp_framing_frame_3_loc_c",
			texture = "guis/textures/pd2/pre_planning/framing_frame_3_3",
			map_x = 1.1,
			map_y = 0,
			map_size = 1,
			x1 = -7325,
			y1 = 625,
			x2 = -1325,
			y2 = 6625,
			rotation = 0,
			custom_points = {}
		}
	}

end

end