Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_StealthAficionado", function(loc)
	LocalizationManager:add_localized_strings({
		["houston_hello"] = "Alright, comm link established. This is Houston. Get in the building. I'll provide overwatch from in and off the heist field. Remember, find the server room.",
		["houston_getin"] = "Okay, nice. You passed step one. But be careful - cameras and guards.",
		["heist_stealthaficionado1"] = "EVIDENCE, EVIDENCE, EVIDENCE", -- Firestarter 2
		["heist_stealthaficionado1_briefing"] = "I got word from Hector that the Mendozas are being brought up to the FBI on silver platters. He wants to know where their entire cartel funds are located.\n \nSo, game plan. Sneak in, avoid cameras. The front door will be heavily guarded, so we're not getting in that way. Find the server room, get Bain root in their system, and let him mark power boxes that we'll cut in order to disarm the security on the server room. From there, we'll get the servers, and delete the security footage before leaving. You shouldn't even need your electronic jammers for this one.\n \nNow go. If any one of you fucks up on this simple shit, you're spending a week without gun maintenance from me.",
		["heist_stealthaficionado2_briefing"] = "The Butcher is sending us back to the docks. Apparently, they didn't learn their lesson and now they're transporting another bomb.\n \nPlan is, we go into the dockyard, we're dropping you at the front, you guys go in and locate the keycards. The keycards will open the dock gate for us. Then we gotta get the ship moving somehow. When we get the boat moved and find the bomb I'll send in a boat, which you'll use to get the bomb out and escape.\n \n What do you say huh?",
		["heist_stealthaficionado3_briefing"] = "A night at the museum ey?\n \nThe place shouldn't be heavily guarded, so this should be easy. Get in, I suggest using thermite to get into the basement. When you're in, find some circuit boxes, rewire them. Bain should get access to their system, he'll shut the lasers down, which will grant you access to the timelocks. Those will need keycards, those are on the civvies. After getting past the timelocks, it's just an easy picklock and you'll be in the same room with The Diamond. Get the Diamond and then it's a straight run to the van.\n \nIf you want to, you can always grab extra loot, just remember to take a cutter.",
		["heist_stealthaficionado4_briefing"] = "This one should be a walk in the park. Or should I say, a walk in the warehouse. The murkies have no idea, what's gonna hit 'em.\n \nGet in the warehouse and get as much loot as you can. I'm sure they have all kinds of stuff there as they've boosted a lot places. Paintings, money, gold, hell even weapons.\n \nI also heard, that they might have something special in their vault, so see, if you can get in that.",
		["heist_stealthaficionado5_briefing"] = "I'm sure you guys will love this, boosting high speed vehciles. Get in Teuer Automotive's and find the manager. Watch out though, the place is filled with GenSec's guards. Bain will tell you how to find the weak spot in their system, when you get the keycard. While Bain is doing his thing, you gotta plant some C4 on a patch of asphalt. Once the hack is done, get the keys, get in a car and drive like you're in Nascar.",
		["heist_stealthaficionado2"] = "AN EVENING ON THE SEASIDE", -- The Bomb: Dockyard
		["heist_stealthaficionado3"] = "A VISIT TO THE MUSEUM", -- The Diamond
		["heist_stealthaficionado4"] = "IT'S A QUIET NIGHT OUT", -- Shadow Raid
		["heist_stealthaficionado5"] = "GOING QUIET HAS ITS REWARDS", -- Car Shop
		["heist_stealthaficionado"] = "HOUSTON: STEALTH AFICIONADO",
		["heist_stealthaficionado_crimenet"] = "I've seen our crew handle stealth before, and to be brutally honest, you guys really, really need practice. GenSec doesn't mess around when it comes to security, so we really need to make our stealthing skills solid. It's time to ramp it up a little bit. I've contracted some advanced stealth heists for us to get your heads in the game. Watch me closely. Study what I do. You'll need it."
		})
end)



if not tweak_data then return end



tweak_data.narrative.jobs.stealthaficionado = {}
tweak_data.narrative.jobs.stealthaficionado.name_id = "heist_stealthaficionado"
tweak_data.narrative.jobs.stealthaficionado.briefing_id = "heist_stealthaficionado_crimenet"
tweak_data.narrative.jobs.stealthaficionado.contact = "hoxton_returns"
tweak_data.narrative.jobs.stealthaficionado.jc = 50
tweak_data.narrative.jobs.stealthaficionado.campaign = true
tweak_data.narrative.jobs.stealthaficionado.professional = true
tweak_data.narrative.jobs.stealthaficionado.region = "professional"
tweak_data.narrative.jobs.stealthaficionado.chain = {
		{
			level_id = "stealthaficionado1",
			type_id = "heist_type_stealth",
			type = "e"
		},
		{
			level_id = "stealthaficionado2",
			type_id = "heist_type_stealth",
			type = "d"
		},
		{
			level_id = "stealthaficionado3",
			type_id = "heist_type_stealth",
			type = "d"
		},
		{
			level_id = "stealthaficionado4",
			type_id = "heist_type_stealth",
			type = "e"
		},
		{
			level_id = "stealthaficionado5",
			type_id = "heist_type_stealth",
			type = "d"
		}
}
tweak_data.narrative.jobs.stealthaficionado.briefing_event = "Play_plt_watchdogs_stage1_03"
tweak_data.narrative.jobs.stealthaficionado.crimenet_callouts = {
		"Play_plt_watchdogs_stage1_05"
	}
tweak_data.narrative.jobs.stealthaficionado.crimenet_videos = {
		"codex/hoxton1",
		"codex/hoxton2",
		"codex/hoxton3"
}

tweak_data.narrative.jobs.stealthaficionado.payout = {
	750000,
	1750000,
	3000000,
	5750000,
	7500000
}
tweak_data.narrative.jobs.stealthaficionado.contract_cost = {
	128000,
	298000,
	620000,
	1240000,
	1600000
}
tweak_data.narrative.jobs.stealthaficionado.experience_mul = {
		1,
		2,
		2.2,
		2.4,
		2.6
}

tweak_data.narrative.jobs.stealthaficionado.contract_visuals = {}
tweak_data.narrative.jobs.stealthaficionado.contract_visuals.min_mission_xp = {
		10000,
		20000,
		30000,
		40000,
		50000
}
tweak_data.narrative.jobs.stealthaficionado.contract_visuals.max_mission_xp = {
		125000,
		175000,
		250000,
		350000,
		400000
}

tweak_data.narrative.jobs.stealthaficionado.dlc = "hope_diamond"


table.insert(tweak_data.narrative._jobs_index, "stealthaficionado")

table.insert(tweak_data.levels._level_index, "stealthaficionado1")
table.insert(tweak_data.levels._level_index, "stealthaficionado2")
table.insert(tweak_data.levels._level_index, "stealthaficionado3")
table.insert(tweak_data.levels._level_index, "stealthaficionado4")
table.insert(tweak_data.levels._level_index, "stealthaficionado5")

table.insert(tweak_data.assets.bodybags_bag.stages, "stealthaficionado1")
table.insert(tweak_data.assets.spotter.stages, "stealthaficionado1")
table.insert(tweak_data.assets.firestarter_2_cam.stages, "stealthaficionado1")

table.insert(tweak_data.assets.bodybags_bag.stages, "stealthaficionado5")
table.insert(tweak_data.assets.dumpsters.stages, "stealthaficionado5")