if RequiredScript == "lib/tweak_data/levelstweakdata" then

local LevelsTweakDataoiinit = LevelsTweakData.init

function LevelsTweakData:init(...)

                LevelsTweakDataoiinit(self, ...)

    self.stealthaficionado1 = {}
    self.stealthaficionado1.name_id = "heist_stealthaficionado1"
    self.stealthaficionado1.briefing_id = "heist_stealthaficionado1_briefing"
    self.stealthaficionado1.briefing_dialog = "dentist_hm1_debrief_01_01"								--vld_ukranian_debrief
    self.stealthaficionado1.world_name = "narratives/h_firestarter/stage_2"
    self.stealthaficionado1.intro_event = "Play_pln_firestarter_stage2_intro_a"
    self.stealthaficionado1.outro_event = {
		"Play_pln_firestarter_stage2_end_a",
		"Play_pln_firestarter_stage2_end_b"
    }
    self.stealthaficionado1.music = "heist"
    self.stealthaficionado1.package = "packages/narr_firestarter2"
    self.stealthaficionado1.cube = "cube_apply_heist_bank"
    self.stealthaficionado1.ghost_bonus = 0.15
    self.stealthaficionado1.max_bags = 34

    self.stealthaficionado2 = {}
    self.stealthaficionado2.name_id = "heist_stealthaficionado2"
    self.stealthaficionado2.briefing_id = "heist_stealthaficionado2_briefing"
    self.stealthaficionado2.briefing_dialog = "dentist_hm1_cnc_01"
    self.stealthaficionado2.world_name = "narratives/butcher/thebomb/stage_2"
    self.stealthaficionado2.intro_event = "Play_pln_cr2_intro_01"
    self.stealthaficionado2.outro_event = {
        "butcher_cr1_debrief_01",
        "butcher_cr1_debrief_02"
    }
    self.stealthaficionado2.music = "heist"
    self.stealthaficionado2.package = {
        "packages/dlcs/the_bomb/crojob_stage_2"
    }
    self.stealthaficionado2.cube = "cube_apply_heist_bank"
    self.stealthaficionado2.ghost_bonus = 0.2
    self.stealthaficionado2.max_bags = 55

    self.stealthaficionado3 = {}
    self.stealthaficionado3.name_id = "heist_stealthaficionado3"
    self.stealthaficionado3.briefing_id = "heist_stealthaficionado3_briefing"
    self.stealthaficionado3.briefing_dialog = "Play_pln_hd1_brf_01"
    self.stealthaficionado3.world_name = "narratives/dentist/mus"
    self.stealthaficionado3.intro_event = "Play_pln_hd1_intro_01"
    self.stealthaficionado3.outro_event = {
        "dentist_hd1_debrief_01",
        "dentist_hd1_debrief_02"
    }
    self.stealthaficionado3.music = "heist"
    self.stealthaficionado3.package = "packages/narr_mus"
    self.stealthaficionado3.cube = "cube_apply_heist_bank"
    self.stealthaficionado3.max_bags = 85
    self.stealthaficionado3.ghost_bonus = 0.15

    self.stealthaficionado4 = {}
    self.stealthaficionado4.name_id = "heist_stealthaficionado4"
    self.stealthaficionado4.briefing_id = "heist_stealthaficionado4_briefing"
    self.stealthaficionado4.briefing_dialog = "butcher_cr1_cbf_02"
    self.stealthaficionado4.world_name = "narratives/bain/shadow_raid"
    self.stealthaficionado4.intro_event = "Play_pln_ko1_intro_01"
    self.stealthaficionado4.outro_event = {
        "Play_pln_ko1_end_01"
    }
    self.stealthaficionado4.music = "no_music"
    self.stealthaficionado4.music_ext = "kosugi_music"
    self.stealthaficionado4.music_ext_start = "suspense_1"
    self.stealthaficionado4.package = "packages/kosugi"
    self.stealthaficionado4.cube = "cube_apply_heist_bank"
    self.stealthaficionado4.ghost_bonus = 0.05
    self.stealthaficionado4.max_bags = 115

    self.stealthaficionado5 = {}
    self.stealthaficionado5.name_id = "heist_stealthaficionado5"
    self.stealthaficionado5.briefing_id = "heist_stealthaficionado5_briefing"
    self.stealthaficionado5.briefing_dialog = "Play_pln_ch1_brf_01"
    self.stealthaficionado5.world_name = "narratives/bain/cage"
    self.stealthaficionado5.intro_event = "Play_pln_ch1_intro_01"
    self.stealthaficionado5.outro_event = "Play_pln_ch1_end_01"
    self.stealthaficionado5.music = "heist"
    self.stealthaficionado5.package = "packages/narr_cage"
    self.stealthaficionado5.cube = "cube_apply_heist_bank"
    self.stealthaficionado5.max_bags = 121

end


elseif RequiredScript == "lib/tweak_data/preplanningtweakdata" then

local PrePlanningTweakData_oinit = PrePlanningTweakData._create_locations

function PrePlanningTweakData:_create_locations(tweak_data)
PrePlanningTweakData_oinit(self, tweak_data)

    self.locations.stealthaficionado2 = {
        default_plans = {
            escape_plan = "crojob2_escape_van"
        },
        total_budget = 10,
        mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_crojob_stealth",
        start_location = {
            group = "a",
            x = 1024,
            y = 1024,
            zoom = 1.5
        },
        {
            name_id = "menu_pp_crojob_stage_2_loc_a",
            texture = "guis/dlcs/the_bomb/textures/pd2/pre_planning/crojob_stage_2_a",
            map_x = 0,
            map_y = 0,
            map_size = 1,
            x1 = -9500,
            y1 = -8500,
            x2 = 10500,
            y2 = 11500,
            rotation = 0,
            custom_points = {
                {
                    x = 964,
                    y = 1134,
                    text_id = "menu_pp_info_crojob2_ship",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_cr2_14"
                },
                {
                    x = 454,
                    y = 538,
                    text_id = "menu_pp_info_crojob2_loading_dock_3B",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_cr2_105"
                },
                {
                    x = 964,
                    y = 770,
                    text_id = "menu_pp_info_crojob2_dock_gate",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_cr2_106"
                },
                {
                    x = 1134,
                    y = 768,
                    text_id = "menu_pp_info_crojob2_control_room_right",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_cr2_107"
                },
                {
                    x = 798,
                    y = 768,
                    text_id = "menu_pp_info_crojob2_control_room_left",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_cr2_108"
                },
                {
                    x = 82,
                    y = 702,
                    text_id = "menu_pp_info_crojob2_fence_gate",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_cr2_109"
                },
                {
                    x = 1524,
                    y = 1508,
                    text_id = "menu_pp_info_crojob2_locker_room",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_cr2_110"
                },
                {
                    x = 1526,
                    y = 1336,
                    text_id = "menu_pp_info_crojob2_office",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_cr2_111"
                },
                {
                    x = 348,
                    y = 1122,
                    text_id = "menu_pp_info_crojob2_storage_room",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_cr2_112"
                },
                {
                    x = 350,
                    y = 1420,
                    text_id = "menu_pp_info_crojob2_ship_control_room_left",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_cr2_113"
                },
                {
                    x = 1424,
                    y = 1118,
                    text_id = "menu_pp_info_crojob2_ship_control_room_right",
                    to_upper = true,
                    icon = 45,
                    rotation = 0,
                    post_event = "Play_pln_cr2_114"
                }
            }
        }
    }

    self.locations.stealthaficionado3 = {
        default_plans = {},
        total_budget = 10,
        mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_museum",
        start_location = {
            group = "a",
            x = 1024,
            y = 521,
            zoom = 1.5
        },
        {
            name_id = "menu_pp_mus_loc_a",
            texture = "guis/textures/pd2/pre_planning/mus_1",
            map_x = -1.05,
            map_y = 0,
            map_width = 1,
            map_height = 2,
            x1 = -10000,
            y1 = -5000,
            x2 = 10000,
            y2 = 5000,
            rotation = -90,
            custom_points = {}
        },
        {
            name_id = "menu_pp_mus_loc_b",
            texture = "guis/textures/pd2/pre_planning/mus_2",
            map_x = 0,
            map_y = 0,
            map_width = 1,
            map_height = 2,
            x1 = -10000,
            y1 = -5000,
            x2 = 10000,
            y2 = 5000,
            rotation = -90,
            custom_points = {}
        },
        {
            name_id = "menu_pp_mus_loc_c",
            texture = "guis/textures/pd2/pre_planning/mus_3",
            map_x = 1.05,
            map_y = 0,
            map_width = 1,
            map_height = 2,
            x1 = -10000,
            y1 = -5000,
            x2 = 10000,
            y2 = 5000,
            rotation = -90,
            custom_points = {}
        }
    }

    self.locations.stealthaficionado4 = {
        default_plans = {},
        total_budget = 8,
        mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_shadowraid",
        start_location = {
            group = "a",
            x = 2048,
            y = 1024,
            zoom = 0.8
        },
        min_zoom = 0.4,
        {
            name_id = "menu_pp_shadow_raid_loc_a",
            texture = "guis/textures/pd2/pre_planning/shadow_raid_1",
            map_x = -0.59999996,
            map_y = -0.59999996,
            map_size = 2,
            x1 = -5650,
            y1 = -7850,
            x2 = 6850,
            y2 = 4650,
            rotation = 0,
            custom_points = {}
        },
        {
            name_id = "menu_pp_shadow_raid_loc_b",
            texture = "guis/textures/pd2/pre_planning/shadow_raid_2",
            map_x = 1.1,
            map_y = -1.1000001,
            map_size = 1,
            x1 = -3950,
            y1 = -6150,
            x2 = 1550,
            y2 = -650,
            rotation = 0,
            custom_points = {}
        },
        {
            name_id = "menu_pp_shadow_raid_loc_c",
            texture = "guis/textures/pd2/pre_planning/shadow_raid_3",
            map_x = 1.1,
            map_y = 0,
            map_size = 1,
            x1 = -3950,
            y1 = -6150,
            x2 = 1550,
            y2 = -650,
            rotation = 0,
            custom_points = {}
        },
        {
            name_id = "menu_pp_shadow_raid_loc_d",
            texture = "guis/textures/pd2/pre_planning/shadow_raid_4",
            map_x = 1.1,
            map_y = 1.1,
            map_size = 1,
            x1 = -3950,
            y1 = -6150,
            x2 = 1550,
            y2 = -650,
            rotation = 0,
            custom_points = {}
        }
    }

end

end